package org.eclipse.jwt.we.view.extension.ExampleView2;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jwt.we.view.extension.Activator;
import org.eclipse.jwt.we.view.extension.ViewExamplePluginProperties;


/**
 * A view descriptor that provides an (internationalized) name and an icon for the view.
 */
public class ViewDescriptor2
		extends org.eclipse.jwt.we.misc.views.WEExternalView
{

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jwt.we.misc.views.WEExternalView#getImage()
	 */
	public ImageDescriptor getImage()
	{
		// returns the imagedescriptor for the view icon
		return Activator.getImageDescriptor(ViewExamplePluginProperties
				.getString("view_Example2_icon"));
	}


	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jwt.we.misc.views.WEExternalView#getViewName()
	 */
	@Override
	public String getViewName()
	{
		// returns the localized view name
		return ViewExamplePluginProperties.getString("view_Example2_name");
	}

}
